> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a donor



## OpenAPI

````yaml get /donor/{id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /donor/{id}:
    get:
      tags:
        - Donor
      summary: Get a donor
      operationId: 088f5e7cbc0a38c1019726742fb575f5
      parameters:
        - name: id
          in: path
          description: ID of the donor to be fetched
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    properties:
                      status:
                        type: string
                        example: Active
                      profile:
                        type: object
                        example:
                          field_key: field_value
                      fields:
                        type: array
                        items:
                          type: object
                      donor:
                        type: object
                      hysform:
                        type: object
                      profilePic:
                        type: string
                        example: ''
                      name:
                        type: string
                        example: John Doe
                      details:
                        type: object
                      emailsets:
                        type: object
                      years:
                        type: array
                        items:
                          type: integer
                      template_errors:
                        type: array
                        items:
                          type: string
                    type: object
                type: object
        '404':
          description: Donor not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Donor Does not exist.
                  status:
                    type: string
                    example: error
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````